org.apache.lucene.codecs.memory

## Class MemoryDocValuesFormat

- java.lang.Object
- - org.apache.lucene.codecs.DocValuesFormat
  - - org.apache.lucene.codecs.memory.MemoryDocValuesFormat

- All Implemented Interfaces:
    NamedSPILoader.NamedSPI

      public class MemoryDocValuesFormat
      extends DocValuesFormat

  In-memory docvalues format

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `MAX_BINARY_FIELD_LENGTH` Maximum length for each binary doc values field.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MemoryDocValuesFormat()` Calls `MemoryDocValuesFormat(PackedInts.DEFAULT)`
    `MemoryDocValuesFormat(float acceptableOverheadRatio)` Creates a new MemoryDocValuesFormat with the specified `acceptableOverheadRatio` for NumericDocValues.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DocValuesConsumer` | `fieldsConsumer(SegmentWriteState state)`
    `DocValuesProducer` | `fieldsProducer(SegmentReadState state)`

    - ### Methods inherited from class org.apache.lucene.codecs.DocValuesFormat

      `availableDocValuesFormats, forName, getName, reloadDocValuesFormats, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### MAX_BINARY_FIELD_LENGTH

          public static final int MAX_BINARY_FIELD_LENGTH

      Maximum length for each binary doc values field.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MemoryDocValuesFormat

          public MemoryDocValuesFormat()

      Calls `MemoryDocValuesFormat(PackedInts.DEFAULT)`

    - #### MemoryDocValuesFormat

          public MemoryDocValuesFormat(float acceptableOverheadRatio)

      Creates a new MemoryDocValuesFormat with the specified `acceptableOverheadRatio` for NumericDocValues.
      Parameters:
        `acceptableOverheadRatio` - compression parameter for numerics. Currently this is only used when the number of unique values is small.
      WARNING: This API is experimental and might change in incompatible ways in the next release.

  - ### Method Detail

    - #### fieldsConsumer

          public DocValuesConsumer fieldsConsumer(SegmentWriteState state)
                                           throws IOException

      Specified by:
        `fieldsConsumer` in class `DocValuesFormat`
      Throws:
        `IOException`

    - #### fieldsProducer

          public DocValuesProducer fieldsProducer(SegmentReadState state)
                                           throws IOException

      Specified by:
        `fieldsProducer` in class `DocValuesFormat`
      Throws:
        `IOException`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.